import os
import sys


dirs = {
    'voices': '/System/Library/Speech/Voices',
    'sounds': '/System/Library/Sounds',
}


def get_list(what):
    path = dirs[what]
    items = [entry.split('.')[0] for entry in os.listdir(path)]
    print ','.join(items)


def play_sound(sound):
    sound_file = '%s/%s.aiff' % (dirs['sounds'], sound)

    import time
    from AppKit import NSSound
    player = NSSound.alloc()
    player.initWithContentsOfFile_byReference_(sound_file, True)
    player.play()
    time.sleep(player.duration() + 0.5)


if __name__ == '__main__':
    if sys.argv[1] == 'play_sound':
        play_sound(sys.argv[2])
    else:
        get_list(sys.argv[1])
